Subject: bug#65383: [gnome-team] Nothing is reproducible anymore

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sat, 19 Aug 2023 17:33:04 +0200

Liliana Marie Prikler writes:

> I have absolutely no idea how this came to be:
>
> sh-5.1$ ./pre-inst-env guix build gdk-pixbuf --dry-run
> substitute: Liste der Substitute von „https://ci.guix.gnu.org“ wird
> aktualisiert … 100.0%
> substitute: Liste der Substitute von „https://bordeaux.guix.gnu.org“
> wird aktualisiert … 100.0%
> The following derivations would be built:
>   /gnu/store/sn4avcl518i75r6595ns5k1w22m1h93z-gdk-pixbuf-2.42.8.drv
>   /gnu/store/z359nfywzyhbfydbnv05h1cc3av2fqbc-shared-mime-info-2.2.drv
> sh-5.1$ ./pre-inst-env guix build gdk-pixbuf --dry-run
> substitute: Liste der Substitute von „https://ci.guix.gnu.org“ wird
> aktualisiert … 100.0%
> substitute: Liste der Substitute von „https://bordeaux.guix.gnu.org“
> wird aktualisiert … 100.0%
> The following derivations would be built:
>   /gnu/store/50pk294x08jpgzpag8z4877pa6s5bc8h-gdk-pixbuf-2.42.8.drv
>   /gnu/store/5375hf13vnxab7lyrbxqg3ss7q39lxml-shared-mime-info-2.2.drv
>
> The hash changes with each run.  What the hell is going on?

Just this morning, looking at <https://issues.guix.gnu.org/65179> I
found that AR (okay x86_64-w64-mingw32-AR) embeds timestamps in the
archives it creates.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com